<template>
  <div class="container">
    <v-card
            v-for="(deal, i) in deals"
            :key="i"
            class="mx-auto carte "
            outlined
            :to="'/SingleDeal/?id=' + deal.id"
            tile
            color="accent">

        <div class="d-flex flex-no-wrap">
          <v-avatar class="ma-3" size="150" tile>
            <v-img :src="deal.imgURL"  :alt="deal.imgURL"/>
          </v-avatar>
          <div class="flex-md-row">
            <v-card-title class="text-h3"> {{ deal.temperature }}°</v-card-title>
            <v-card-subtitle
              class="text-h4 text-overline"
            >{{  deal.title  }} </v-card-subtitle>
            <v-card-text class="text-h6"> {{ deal.creator}} | {{ deal.shopName }} </v-card-text>
          </div>
          <v-spacer></v-spacer>
            <div class="flex-row">
              <v-card-text> {{ dateToFormat(deal.date) }} </v-card-text>
              <v-btn
                x-large
                tile
                color="primary"
                style="position: absolute; right: 10px; bottom: 10px;"
                :href="deal.shopLink"
                target="_blank">
                Voir
              </v-btn>
            </div>
        </div>

    </v-card>
  </div>
</template>

<script>

import moment from 'moment'

export default {
  name: "Deals",
  data () {
    return {
      deals: []
    }
  },
  created() {
    this.initialize()
  },
  methods:{
    initialize () {
      this.$axios.get('http://localhost:8080/deals').then( res => {
        res.data.deals.sort((a,b) => { return moment(b.date) -  moment(a.date) })
        res.data.deals.forEach(deal => this.deals.push(deal))
      })
    },
    dateToFormat(date) {
      moment.locale("fr");
      return moment(date).format('DD MMMM yy');
    },
    test(link) {
      window.location.replace(link, '_blank')
    }
  }
}
</script>

<style scoped src="./Deals.css">

</style>
